server {
    listen 80;
    server_name master.argus.com;

    location / {
        # proxy_pass http://master.argus.com;
        proxy_pass http://master.argus.com;
        # proxy_set_header Host $host;
        # proxy_set_header X-Real-IP $remote_addr;
        # proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        # proxy_set_header X-Forwarded-Proto $scheme;

        # # CORS 支持
        # add_header 'Access-Control-Allow-Origin' 'http://web.argus.com' always;
        # add_header 'Access-Control-Allow-Methods' 'GET, POST, PUT, DELETE, OPTIONS' always;
        # add_header 'Access-Control-Allow-Headers' 'Origin, Content-Type, Accept, Authorization' always;

        # if ($request_method = OPTIONS) {
        #     add_header 'Access-Control-Allow-Origin' 'http://web.argus.com' always;
        #     add_header 'Access-Control-Allow-Methods' 'GET, POST, PUT, DELETE, OPTIONS' always;
        #     add_header 'Access-Control-Allow-Headers' 'Origin, Content-Type, Accept, Authorization' always;
        #     add_header 'Content-Length' 0;
        #     add_header 'Content-Type' 'text/plain';
        #     return 204;
        # }
    }
}
